#!/bin/bash
#
# copies the files to their staging location

DISTRO="${1}"
WORKSPACE="${2}"
SERIAL="${3}"
BTYPE="${4:-server}"
TEST_BUILD="${5:-0}"
SANDBOX_BUILD="${6:-0}"

base_d="/srv/ec2-images/${DISTRO}/${SERIAL}"
[ "${TEST_BUILD}" -eq 1 ] && base_d="/srv/ec2-images/test_builds/${DISTRO}/${SERIAL}"
[ "${SANDBOX_BUILD}" -eq 1 ] && base_d="/srv/ec2-images/sandbox/${DISTRO}/${SERIAL}"
[ "${BTYPE}" = "desktop" ] && base_d="/srv/ec2-images/desktop/${DISTRO}/${SERIAL}"

for roottar in $(find . -iname "*root.tar.gz"); do
    echo "Generating file listing"

    case ${roottar} in
        *amd64*)    arch_name="amd64";;
        *i386*)     arch_name="i386";;
        *armel*)    arch_name="armel";;
        *armhf*)    arch_name="armhf";;
        *)          arch_name="unknown-$(date +%s)"
    esac

    tar -tzvf ${roottar} >> "${WORKSPACE}/file-list-${arch_name}.log" ||
        echo "Non fatal error. Failed to gather file list for ${roottar}"
done

cp -au ${DISTRO}-*/* ${base_d} || exit 1
exit 0
