#!/bin/bash
#
# Environment sends:
#  - ${SUITE}
#  - ${MOVE}
#      - milestones: move pre-release images
#      - all: move everything
#      - priors: move everything but last six

# Move images to S3 repository.
s3_bucket="cloud-images-archive.ubuntu.com"
local_d="/srv/ec2-images/releases/${SUITE}"

excluded=()

is_excluded() {
    $(echo ${exlcuded[@]} | grep -o ${1} ) &&
        return $?
}

if [ "${MOVE}" == "milestones" ]; then
    excluded=+(release)
elif [ "${MOVE}" == "priors" ]; then
    excluded=+(release)
    releases=+($(find ${local_d} -iname "release-*" -type d ))
    start_index=$(expr ${#releases[@]} - 6)

    for i in $(seq ${start_index} ${#releases[@]})
    do
        echo "Adding ${release[$i]} to excluded list"
        excluded=+(${release[$i]})
    done
fi

for i in ${release[@]}
do
    is_excluded $i &&
        echo "NOT MOVE" ||
        echo "MOVE"
done
