#!/bin/bash
echo "---------------------------------------------------"
echo "Instructed to Promote Daily job:
echo "       Suite: ${SUITE}"
echo "      Serial: ${SERIAL}"
echo "   Milestone: ${MILESTONE_LABEL}"
echo "      Stream: ${BTYPE}"
echo "      Public: ${PUBLIC}"
echo "  PrePublish: ${PREPUBLISH}"
echo "
echo "---------------------------------------------------"

cat << EOF > "${WORKSPACE}/build_properties"
SUITE=${SUITE}
SERIAL=${SERIAL}
MILESTONE=${MILESTONE_LABEL}
STREAM=${BTYPE}
PUBLIC=${PUBLIC}
PREPUBLISH=${PREPUBLISH}
EOF

export HOME="/srv/builder/vmbuilder"

cmd=(
   '/srv/builder/vmbuilder/bin/cronrun'
   'promote-daily'
   '--verbose'
   '--allow-existing' )

if [ "${PREPUBLISH}" == "true" ]; then
    echo "Pre-publishing rules, will not make public"
else
    [ "${MAKE_PUBLIC}" == "true" ] && cmd+=('--make-public')
fi

cmd+=("${MILESTONE_LABEL}" "/srv/ec2-images/${BTYPE}/${SUITE}/${SERIAL}")

echo "Executing commnad:"
exec ${cmd[@]}
