#!/usr/bin/python

# The legacy Jenkins test is buggy due to the cloud being the cloud.
# This is a test evaluator that determines whether or not to pass/fail
# a jenkins build flow. 

import argparse
import json
import urllib2
import sys
import time

parser = argparse.ArgumentParser()
parser.add_argument('--host',
        action="store",
        default="localhost:8080",
        help="Host address to hit")
parser.add_argument('--test',
        action="store",
        default=None,
        help="Test suite to parse")
parser.add_argument('--okay',
        action="store",
        type=int,
        default=3,
        help="How many failures are okay to pass test")

opts = parser.parse_args()

sys.stderr.write("Using host: %s\n" % opts.host)

if not opts.test:
    sys.stderr.write("Must define test with --test\n")
    sys.exit(3)

counts={}

def check():
    c = {}
    r = {}
    url = "http://%s/job/%s/api/json?pretty=true" % (opts.host, opts.test)
    response = urllib2.urlopen(url)
    json_out = response.read()
    json_d = json.loads(json_out)
    results= json_d['activeConfigurations']

    for result in results:
        color = result['color']

        if color not in c:
            c[color] = 1
        else:
            c[color] += 1

    print ""
    print "Results from build are:"
    print json.dumps(c, indent=4)
    print ""

    return c

# Valid ball colors:
# blue: Pass
# grey: waiting
# grey_anime: executing
# red: Fail

counts = check()

# Wait for test to complete
while 'grey_anime' in counts:
    print "Sleeping 5 minutes to wait for build completion"
    time.sleep(300)
    counts = check()

# Populate the colors to be safe
check_colors = "aborted", "grey", "red", "green"
for color in check_colors:
    if color not in counts:
        counts[color] = 0


# Check 'em
if counts['red'] > opts.okay:
    print "Failure rate of %s is above threshhold, Failing."
    sys.exit(2)

elif counts['grey'] > 0 or counts['aborted'] > 0:
    print "This test looks aborted. Failing!"
    sys.exit(2)

else:
    print "Failure rate is below fail threshold. Passing."
    sys.exit(0)

